Bug 999964 - Unclear completion message in engine-setup esp for upgrades
Unclear completion message in engine-setup esp for upgrades
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
movciari
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:15 EDT by Andrew Cathrow
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:19:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18440 None None None Never
oVirt gerrit 18508 None None None Never

  None (edit)
Description Andrew Cathrow 2013-08-22 09:15:25 EDT
At the end of an upgrade running engine-setup the last message is

"[ INFO  ] Stage: Termination"

It's not clear what that means.
I understand what this means, but a customer may believe this is a failure.
We can fix this simply by adding an extra INFO messaging saying that upgrade/setup completed successfully
Comment 1 Alon Bar-Lev 2013-08-22 22:57:46 EDT
(In reply to Andrew Cathrow from comment #0)
> At the end of an upgrade running engine-setup the last message is
> 
> "[ INFO  ] Stage: Termination"
> 
> It's not clear what that means.
> I understand what this means, but a customer may believe this is a failure.
> We can fix this simply by adding an extra INFO messaging saying that
> upgrade/setup completed successfully

The same infrastructure is used for host-deploy, host-rename, engine-clean, hosted-engine and of course engine setup and upgrade.

This is the last stage of sequence (well apart of reboot), we can display any label you want but it should be generic and at the framework we do not actually know what we are used for.
Comment 2 Alon Bar-Lev 2013-08-22 23:12:01 EDT
Forgot to mention that this stage is executed regardless of success/failure.
Comment 3 Andrew Cathrow 2013-08-22 23:15:03 EDT
(In reply to Alon Bar-Lev from comment #2)
> Forgot to mention that this stage is executed regardless of success/failure.


Can we display something like "operation completed successfully" ?

Ideally we would replace operation with the appropriate use (upgrade, etc) - is that possible?
Comment 4 Alon Bar-Lev 2013-08-22 23:19:51 EDT
(In reply to Andrew Cathrow from comment #3)
> (In reply to Alon Bar-Lev from comment #2)
> > Forgot to mention that this stage is executed regardless of success/failure.
> 
> 
> Can we display something like "operation completed successfully" ?

No... see above... this stage is executed regardless of success failure.

> Ideally we would replace operation with the appropriate use (upgrade, etc) -
> is that possible?

Of course we can, but I try to avoid extra complexity at the core (otopi), it does not currently know what is happening.

Maybe best to just remove this message? I can add silents rules...

Or, I can add another message after the termination with the message you want. It will look like:

[ INFO  ] Stage: Termination
[ INFO  ] {action} completed successfully

action ::= setup|cleanup|upgrade|rename
Comment 5 Andrew Cathrow 2013-08-22 23:22:05 EDT
(In reply to Alon Bar-Lev from comment #4)

> 
> Or, I can add another message after the termination with the message you
> want. It will look like:
> 
> [ INFO  ] Stage: Termination
> [ INFO  ] {action} completed successfully
> 
> action ::= setup|cleanup|upgrade|rename

Yes please.
Comment 6 Alon Bar-Lev 2013-08-22 23:34:57 EDT
[ INFO  ] Stage: Clean up
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of upgrade completed successfully

[ INFO  ] Stage: Clean up
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of upgrade failed
Comment 7 Itamar Heim 2014-01-21 17:19:24 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:25:34 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.